PSTAT(3PVM)

NAME
pvm_pstat - Returns the status of the specified PVM process.

SYNOPSIS
C	int status = pvm_pstat( tid )
Fortran	call pvmfpstat( tid, status )

PARAMETERS

tid Integer task identifier of the PVM process in question.

status
    Integer returns the status of the PVM process identified by tid. Status is PvmOk if the task is running, PvmNoTask if not, and PvmBadParam if the tid is bad.

DESCRIPTION
The routine pvm_pstat returns the status of the process identified by tid. Also note that pvm_notify() can be used to notify the caller that a task has failed.

EXAMPLES
C:
	tid = pvm_parent();
	status = pvm_pstat( tid );

Fortran:
	CALL PVMFPARENT( TID )
	CALL PVMFPSTAT( TID, STATUS )

ERRORS
The following error conditions can be returned by pvm_pstat.

PvmBadParam
    Bad Parameter, most likely an invalid tid value.

PvmSysErr
    pvmd not responding.

PvmNoTask
    Task not running.

SEE ALSO
pvm_notify(3PVM)